Packager: Alex Negulescu <alecs@altlinux.org>
Name: qamix
Version: 0.0.7
Release: alt2

Summary: QAMix is a configurable mixer for ALSA
Group: Sound
License: GPL
Url: http://alsamodular.sourceforge.net

Source: %name-%{version}e.tar.bz2
#Source1: %name-48x48.xpm
#Source2: %name-32x32.xpm
#Source3: %name-16x16.xpm

BuildRequires: gcc-c++ libalsa-devel libqt3-devel

%description
QAMix is a configurable mixer for ALSA.

%prep
%setup -n %name-%{version}e
find -type f -print0 |xargs -r0 %__subst 's,sys/\(asoundlib.h\),alsa/\1,' --
find -type f -print0 |xargs -r0 %__subst 's,^[[:blank:]]*$,,g' --
%__subst 's,\(^CXXFLAGS.*\),\1 \$(RPM_OPT_FLAGS),' make_%name

%build
%make_build QT_BASE_DIR=%_libdir/qt3 -f make_%name

%install
install -pD %name %buildroot%_bindir/%name
mkdir -p %buildroot%_datadir/%name
install -m644 *.xml %buildroot%_datadir/%name/

# menu
cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="QAMix" longtitle="A configurable mixer for ALSA" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

install -pD -m644 %name.menu %buildroot/%_menudir/%name

# icons
#install -pD -m644 %%SOURCE1 %buildroot%_liconsdir/%name.xpm
#install -pD -m644 %%SOURCE2 %buildroot%_iconsdir/%name.xpm
#install -pD -m644 %%SOURCE3 %buildroot%_miconsdir/%name.xpm

%post

%postun

%files
%doc README
%_bindir/%name
%_datadir/%name
#%_iconsdir/*.xpm
#%_iconsdir/*/*/*.xpm
%_menudir/%name

# TODO(php-coder) for new maintainer:
# - added THANKS file to documentation
# - make .mo files and install their
# - make and install kamix
# - update BuildRequires
# - replace menu file by desktop from tarball

%changelog
* Fri Sep 04 2009 Alex Negulescu <alecs@altlinux.org> 0.0.7-alt2
- Cleanup spec
- Initial build for Sisyphus

* Sun Jun 03 2007 Slava Semushin <php-coder@altlinux.ru> 0.0.7-alt1e
- NMU
- Trying to fix build under x86_64

* Sun Jun 03 2007 Slava Semushin <php-coder@altlinux.ru> 0.0.7-alt0e
- NMU
- Updated to version 0.0.7e
- Fixed bad encoding specification in Summary and %%description (#5122)
- Updated Url tag
- Spec cleanup:
  + s/%%setup -q/%%setup/
  + Removed trailing spaces
  + Don't use macroses for cat, install and mkdir command

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.0.6-alt0.5.1
- Rebuilt with libstdc++.so.6.

* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.0.6-alt0.5
- 0.0.6
- summary, description by avp.

* Thu Jun 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.0.1-alt0.5
- First build for Sisyphus.

